> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/protocol/overview.md).

# Overview

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

* **`Classic`**
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](/kyberswap-solutions/limit-order.md)
* [**`Aggregator`**](/kyberswap-solutions/kyberswap-aggregator.md)
  {% endhint %}

{% hint style="warning" %} <mark style="color:orange;">**All of Kyber Protocol products were discontinued**</mark>
{% endhint %}

The protocol implementation consists of a set of network contract(s), a reserve interface and a list of registered reserves and token pairs. The network diagram above shows an overview of the various actors that interacts with the protocol implementation.

### Network Actors[​](https://docs.kyberswap.com/Legacy/protocol-overview#network-actors) <a href="#network-actors" id="network-actors"></a>

#### Kyber Core Smart Contracts[​](https://docs.kyberswap.com/Legacy/protocol-overview#kyber-core-smart-contracts) <a href="#kyber-core-smart-contracts" id="kyber-core-smart-contracts"></a>

The Kyber Core Smart Contracts contains the implementation of the major protocol functions to allow actors to join and interact with the network. The method signatures of these functions can be seen in the next diagram.

#### Takers[​](https://docs.kyberswap.com/Legacy/protocol-overview#takers) <a href="#takers" id="takers"></a>

A taker is an entity that takes the liquidity provided by the registered reserves by calling the `tradeWithHintAndFee()` function in the Kyber Core Smart Contracts to trade from one token to another token. A taker can be any blockchain entity including end user address, decentralized exchanges, or any smart contracts.

#### Reserves[​](https://docs.kyberswap.com/Legacy/protocol-overview#reserves) <a href="#reserves" id="reserves"></a>

Reserves are liquidity providers in the network that contributes liquidity in terms of tokens inventory and prices on their smart contracts.

**Reserve Interface**[**​**](https://docs.kyberswap.com/Legacy/protocol-overview#reserve-interface)

The reserve interface defines the contract functions which reserves are required to conform to. Note that the reserve interface above is a general template of what the reserve interface should look like. The interface may be tweaked further to better suit the needs of the respective blockchains.

Only by complying with the interface will network maintainers be able to register a reserve to the Kyber Core Smart Contracts. The exact implementation details of how reserves determine prices and manage its inventory is not explicitly defined in the protocol and is at the discretion of the developers of these reserves.

**Registered Reserve**[**​**](https://docs.kyberswap.com/Legacy/protocol-overview#registered-reserve)

A list of reserves that will be iterated through when rates are queried or to facilitate a trade.

#### Maintainers[​](https://docs.kyberswap.com/Legacy/protocol-overview#maintainers) <a href="#maintainers" id="maintainers"></a>

Maintainers refer to anyone who has permissions to access the functions for the adding/removing of reserves and token pairs, such as a DAO or the team behind the protocol implementation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kyberswap.com/reference/legacy/protocol/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
